
#include "dpi_func.h"

int test_32( void ){

    unsigned int addr, data, exp;

    addr = 0x00000000;
    data = 0x12345678;    
    bfm_write32( addr, data );
    
    bfm_nop(10);
    
    bfm_read32 ( addr, &exp );
    
    if( data != exp ){
        printf("compare error : 0x%x != 0x%x\n", data, exp );
        return 1;
    }
    return 0;
}

int test_16( void ){

    unsigned int addr;
    unsigned short data, exp;

    addr = 0x00000100;
    data = 0xfedc;    
    bfm_write16( addr, data );
    
    bfm_nop(10);
    
    bfm_read16 ( addr, &exp );
    
    if( data != exp ){
        printf("compare error : 0x%x != 0x%x\n", data, exp );
        return 1;
    }
    return 0;
}

int test_8( void ){

    unsigned int addr;
    unsigned char data, exp;

    addr = 0x00000053;
    data = 0x5a;    
    bfm_write8( addr, data );
    
    bfm_nop(10);
    
    bfm_read8 ( addr, &exp );
    
    if( data != exp ){
        printf("compare error : 0x%x != 0x%x\n", data, exp );
        return 1;
    }
    return 0;
}

int dpi_main( void ){

    test_32();
    test_16();
    test_8 ();
    
    return 0;
}
